package com.ffii.fpsms.modules.master.entity

import com.ffii.core.support.AbstractRepository
import org.springframework.stereotype.Repository

@Repository
interface EquipmentTypeRepository : AbstractRepository<EquipmentType, Long> {
    fun findAllByDeletedFalse(): List<EquipmentType>;
    fun findByCodeAndDeletedFalse(code: String): EquipmentType?
    fun findByIdAndDeletedFalse(id: Long): EquipmentType?;

    fun findByCodeAndDeletedIsFalse(code: String): EquipmentType?;

    fun findByNameAndDeletedIsFalse(name: String): EquipmentType?;

    fun findByDescriptionAndDeletedIsFalse(description: String): EquipmentType?;
}